POST
/pages/watch-statusGet page watch status
Retrieves the authenticated user's watch state for a page. Supply pageId to identify the page whose watch status you want to check.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The identifier of the page whose watch state to retrieve.
pageIdstringrequired
Page identifier.
200Returns the current watch state for the page.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when checking the page's watch state is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the page does not exist.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to check the page's watch state. A 404 is returned when no page exists with the supplied pageId.